Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.lang
Class PrivacyPolicy

    java.lang.Object
      jif.lang.AbstractLabel
          jif.lang.PrivacyPolicy

All Implemented Interfaces:
  Label, Policy

    public class PrivacyPolicy

extends AbstractLabel
implements Policy, Label

Constructor Summary
`PrivacyPolicy(Principal owner, java.util.Collection readers)`
`PrivacyPolicy(Principal owner, PrincipalSet readers)`

Method Summary
`java.lang.String` | `componentString()` String to print if this label is a component of a larger label
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`Principal` | `owner()`
`java.util.Set` | `readers()`
`boolean` | `relabelsTo(Label l)` Returns true iff this <= l
`boolean` | `relabelsTo(Policy p)`

Methods inherited from class jif.lang.AbstractLabel
`join, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.lang.Label
`join`

Constructor Detail

### PrivacyPolicy

    public PrivacyPolicy(Principal owner,
                         java.util.Collection readers)

### PrivacyPolicy

    public PrivacyPolicy(Principal owner,
                         PrincipalSet readers)

Method Detail

### owner

    public Principal owner()

### readers

    public java.util.Set readers()

### relabelsTo

    public boolean relabelsTo(Label l)

  Description copied from interface: `Label`
  Returns true iff this <= l

  Specified by:
    `relabelsTo` in interface `Label`

### relabelsTo

    public boolean relabelsTo(Policy p)

  Specified by:
    `relabelsTo` in interface `Policy`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### componentString

    public java.lang.String componentString()

  Description copied from interface: `Label`
  String to print if this label is a component of a larger label

  Specified by:
    `componentString` in interface `Label`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD